export interface CreateCommunicationCommand {
  preferred: boolean;
  isSMSAlarming: boolean;
  isSendNewsletter: boolean;
  mobile: string;
  email: string;
  postalCode: string;
  city: string;
  street: string;
  streetNumber: number;
  streetNumberAddition: string;
  memberId: string;
  typeId: number;
}

export interface UpdateCommunicationCommand {
  id: number;
  preferred: boolean;
  isSMSAlarming: boolean;
  isSendNewsletter: boolean;
  mobile: string;
  email: string;
  postalCode: string;
  city: string;
  street: string;
  streetNumber: number;
  streetNumberAddition: string;
  memberId: string;
}

export interface DeleteCommunicationCommand {
  id: number;
  memberId: string;
}
