export interface CreateMemberAwardCommand {
  given: boolean;
  note?: string;
  date: Date;
  memberId: string;
  awardId: number;
}

export interface UpdateMemberAwardCommand {
  id: number;
  given: boolean;
  note?: string;
  date: Date;
  memberId: string;
  awardId: number;
}

export interface DeleteMemberAwardCommand {
  id: number;
  memberId: string;
}
