export interface CreateMemberCommand {
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  note?: string;
}

export interface UpdateMemberCommand {
  id: string;
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  note?: string;
}

export interface DeleteMemberCommand {
  id: string;
}
