export interface CreateNewsletterCommand {
  title: string;
}

export interface SynchronizeNewsletterCommand {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  recipientsByQueryId?: string;
}

export interface SendNewsletterCommand {
  id: number;
  isSent: boolean;
}
