import { PermissionString } from "../../../type/permissionTypes";

export interface CreateRolePermissionCommand {
  permission: PermissionString;
  roleId: number;
}

export interface DeleteRolePermissionCommand {
  permission: PermissionString;
  roleId: number;
}

export interface UpdateRolePermissionsCommand {
  roleId: number;
  permissions: Array<PermissionString>;
}
