import { PermissionString } from "../../../type/permissionTypes";

export interface CreateWebapiPermissionCommand {
  permission: PermissionString;
  webapiId: number;
}

export interface DeleteWebapiPermissionCommand {
  permission: PermissionString;
  webapiId: number;
}

export interface UpdateWebapiPermissionsCommand {
  webapiId: number;
  permissions: Array<PermissionString>;
}
