export interface CreateDamageReportCommand {
  title: string;
  description: string;
  location: string;
  noteByReporter: string;
  reportedBy: string;
  images: string[];
  affectedId?: string;
  affected?: "equipment" | "vehicle" | "wearable";
}

export interface UpdateDamageReportCommand {
  id: string;
  status: string;
  noteByWorker: string;
  done: boolean;
}

export interface UpdateDamageReportRelatedRepairCommand {
  id: string;
  repairId: string;
}

export interface DeleteDamageReportCommand {
  id: string;
}
