export interface CreateEquipmentCommand {
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  equipmentTypeId: string;
}

export interface UpdateEquipmentCommand {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
}

export interface DeleteEquipmentCommand {
  id: string;
}
