import { PlanTimeDefinition } from "../../../viewmodel/admin/unit/inspection/inspectionPlan.models";

export interface CreateInspectionPlanCommand {
  title: string;
  inspectionInterval: PlanTimeDefinition;
  remindTime: PlanTimeDefinition;
  relatedId: string;
  assigned: "vehicle" | "equipment";
}

export interface UpdateInspectionPlanCommand {
  id: string;
  title: string;
  inspectionInterval: PlanTimeDefinition;
  remindTime?: PlanTimeDefinition;
}

export interface DeleteInspectionPlanCommand {
  id: string;
}
