export interface CreateVehicleCommand {
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  vehicleTypeId: string;
}

export interface UpdateVehicleCommand {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
}

export interface DeleteVehicleCommand {
  id: string;
}
