import { Column, Entity, PrimaryColumn, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";

@Entity()
export class query {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "varchar", length: 255, unique: true })
  title: string;

  @Column({ type: "text", default: "" })
  query: string;

  @UpdateDateColumn()
  updatedAt: Date;
}
