import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { user } from "./user";
import { PermissionObject, PermissionString } from "../../type/permissionTypes";

@Entity()
export class userPermission {
  @PrimaryColumn()
  userId: string;

  @PrimaryColumn({ type: "varchar", length: 255 })
  permission: PermissionString;

  @ManyToOne(() => user, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  user: user;
}
