import { ExceptionBase } from "./exceptionsBaseType";

export default class CustomRequestException extends Error implements ExceptionBase {
  statusCode: number;
  err?: any;

  constructor(status: number, msg: string, err?: any) {
    super(msg);
    this.statusCode = status;
    this.err = err;
  }
}
