import CustomRequestException from "./customRequestException";

export default class DatabaseActionException extends CustomRequestException {
  constructor(action: string, table: string, err: any) {
    let errstring = `${action} on ${table} with ${err?.code ?? "XX"} at ${err?.sqlMessage ?? err?.message ?? "XX"}`;
    super(500, errstring, err);
  }
}
