import { PermissionObject } from "../../../type/permissionTypes";
import { RoleViewModel } from "./role.models";

export interface UserViewModel {
  id: string;
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
  isOwner: boolean;
  permissions: PermissionObject;
  roles: Array<RoleViewModel>;
  permissions_total: PermissionObject;
}
