import type { VehicleTypeViewModel } from "./vehicleType.models";

export interface VehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  vehicleTypeId: string;
  vehicleType: VehicleTypeViewModel;
}

export interface MinifiedVehicleViewModel {
  id: string;
  code?: string;
  name: string;
  type: string;
  assigned: "vehicle";
}
