export interface CreateCalendarCommand {
  starttime: Date;
  endtime: Date;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: number;
}

export interface UpdateCalendarCommand {
  id: string;
  starttime: Date;
  endtime: Date;
  title: string;
  content: string;
  location: string;
  allDay: boolean;
  typeId: number;
}

export interface DeleteCalendarCommand {
  id: string;
}
