export interface CreateMemberEducationCommand {
  start: Date;
  end?: Date;
  note?: string;
  place?: string;
  memberId: string;
  educationId: number;
}

export interface UpdateMemberEducationCommand {
  id: number;
  start: Date;
  end?: Date;
  note?: string;
  place?: string;
  memberId: string;
  educationId: number;
}

export interface DeleteMemberEducationCommand {
  id: number;
  memberId: string;
}
