export interface CreateMemberQualificationCommand {
  note?: string;
  start: Date;
  memberId: string;
  qualificationId: number;
}

export interface UpdateMemberQualificationCommand {
  id: number;
  note?: string;
  start: Date;
  end?: Date;
  terminationReason?: string;
  memberId: string;
  qualificationId: number;
}

export interface DeleteMemberQualificationCommand {
  id: number;
  memberId: string;
}
