import { CommunicationFieldType } from "../../../type/fieldTypes";

export interface CreateCommunicationTypeCommand {
  type: string;
  useColumns: Array<CommunicationFieldType>;
}

export interface UpdateCommunicationTypeCommand {
  id: number;
  type: string;
  useColumns: Array<CommunicationFieldType>;
}

export interface DeleteCommunicationTypeCommand {
  id: number;
}
