export interface CreateInspectionCommand {
  context: string;
  nextInspection?: Date;
  inspectionPlanId: string;
  relatedId: string;
  assigned: "vehicle" | "equipment" | "wearable";
}

export interface UpdateInspectionCommand {
  id: string;
  context: string;
  nextInspection?: Date;
}

export interface FinishInspectionCommand {
  id: string;
}

export interface DeleteInspectionCommand {
  id: string;
}
