export interface CreateWearableCommand {
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  wearableTypeId: string;
  wearerId?: string;
}

export interface UpdateWearableCommand {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  wearerId?: string;
}

export interface DeleteWearableCommand {
  id: string;
}
