import { Column, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { membership } from "../club/member/membership";

@Entity()
export class membershipStatus {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, unique: true })
  status: string;

  @OneToMany(() => membership, (membership) => membership.status)
  memberships: membership[];
}
