import { Column, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { memberQualifications } from "../club/member/memberQualifications";

@Entity()
export class qualification {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, unique: true })
  qualification: string;

  @Column({ type: "varchar", length: 255, nullable: true })
  description?: string;

  @OneToMany(() => memberQualifications, (memberQualifications) => memberQualifications.qualification)
  members: memberQualifications[];
}
