import express from "express";
import { kickof, login, logout, refresh } from "../controller/authController";

var router = express.Router({ mergeParams: true });

router.post("/kickof", async (req, res) => {
  await kickof(req, res);
});

router.post("/login", async (req, res) => {
  await login(req, res);
});

router.post("/logout", async (req, res) => {
  await logout(req, res);
});

router.post("/refresh", async (req, res) => {
  await refresh(req, res);
});

export default router;
