import type { EquipmentTypeViewModel } from "./equipmentType.models";

export interface EquipmentViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  equipmentTypeId: string;
  equipmentType: EquipmentTypeViewModel;
}

export interface MinifiedEquipmentViewModel {
  id: string;
  code?: string;
  name: string;
  type: string;
  assigned: "equipment";
}
