import { MemberViewModel } from "../../club/member/member.models";
import type { WearableTypeViewModel } from "./wearableType.models";

export interface WearableViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  wearerId?: string;
  wearer?: MemberViewModel;
  wearableTypeId: string;
  wearableType: WearableTypeViewModel;
}

export interface MinifiedWearableViewModel {
  id: string;
  code?: string;
  name: string;
  type: string;
  assigned: "wearable";
}
